FROM mcr.microsoft.com/dotnet/aspnet:9.0 AS base
RUN apt-get update && apt-get install iputils-ping -y

LABEL org.opencontainers.image.source=https://github.com/TroogS/FoodsharingSiegen

WORKDIR /app

# Copy the Blazor Server published files from the Publish folder relative to the build context
COPY ../Publish/Server/ .

ENTRYPOINT ["dotnet", "FoodsharingSiegen.Server.dll"]